=== debian/changelog ===
herbstluftwm (0.1+git2011.10.26-1) unstable; urgency=low

  * New upstream release
    * Includes patch by Julian Taylor for --as-needed (Closes: #646378)

 -- Christoph Egger <christoph@debian.org>  Thu, 27 Oct 2011 00:01:22 +0200

herbstluftwm (0.1+git2011.10.09-1) unstable; urgency=low

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Sun, 09 Oct 2011 12:53:23 +0200

herbstluftwm (0~git2011.09.25-1) unstable; urgency=low

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Sun, 25 Sep 2011 18:50:43 +0200

herbstluftwm (0~git2011.08.28-2) unstable; urgency=low

  * Install herbstluftwm as potential x-window-manager

 -- Christoph Egger <christoph@debian.org>  Mon, 29 Aug 2011 15:39:10 +0200

herbstluftwm (0~git2011.08.28-1) unstable; urgency=low

  * Initial release. (Closes: #639583)

 -- Christoph Egger <christoph@debian.org>  Sun, 28 Aug 2011 14:05:38 +0200
