=== debian/control ===
Source: herbstluftwm
Section: x11
Priority: optional
Maintainer: Christoph Egger <christoph@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libglib2.0-dev,
 libx11-dev,
 asciidoc,
 libxml2-utils,
 docbook-xml,
 xsltproc
Standards-Version: 3.9.2
Homepage: http://wwwcip.cs.fau.de/~re06huxa/herbstluftwm/
Vcs-Git: git://git.debian.org/collab-maint/herbstluftwm.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/herbstluftwm.git;a=summary

Package: herbstluftwm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: manual tiling window manager for X11
 In herbstluftwm the layout is based on splitting frames into
 subframes which can be split again or can be filled with windows,
 Tags (or workspaces or virtual desktops or ...) can be added/removed
 at runtime. Each tag contains an own layout and exactly one tag is
 viewed on each monitor. The tags are monitor independent.
 .
 It is configured at runtime via ipc calls from herbstclient. So the
 configuration file is just a script which is run on startup.
