## herbstluftwm 0.1+git2011.11.06

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 HERBSTCLIENTDOC = doc/herbstclient.txt
 HERBSTLUFTWMDOC = doc/herbstluftwm.txt
 
+include colors.mk
 include rules.mk
 
 all: build-herbstclient doc
@@ -41,11 +42,11 @@
 
 doc/%.1: doc/%.txt
 	$(call colorecho,DOC,$@)
-	@a2x -f manpage -a "herbstluftwmversion=herbstluftwm $(VERSION)" -a "date=`date +%Y-%m-%d`" $<
+	@$(A2X) -f manpage -a "herbstluftwmversion=herbstluftwm $(VERSION)" -a "date=`date +%Y-%m-%d`" $<
 
 doc/%.html: doc/%.txt
 	$(call colorecho,DOC,$@)
-	@asciidoc $<
+	@$(ASCIIDOC) $<
 
 install: all
 	@echo "==> creating dirs..."
