=== debian/changelog ===
herbstluftwm (0.1+git2011.11.06-1ubuntu1) precise; urgency=low

  * Adding missing build dependency: docbook-xsl.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 26 Nov 2011 16:01:31 +0400

herbstluftwm (0.1+git2011.11.06-1) unstable; urgency=low

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Sun, 06 Nov 2011 12:40:36 +0100
