=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: herbstluftwm
 Section: x11
 Priority: optional
-Maintainer: Christoph Egger <christoph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
  libglib2.0-dev,
@@ -9,6 +10,7 @@
  asciidoc,
  libxml2-utils,
  docbook-xml,
+ docbook-xsl,
  xsltproc
 Standards-Version: 3.9.2
 Homepage: http://wwwcip.cs.fau.de/~re06huxa/herbstluftwm/
