=== debian/changelog ===
herbstluftwm (0.1+git2011.11.28-1) unstable; urgency=low

  * New upstream version
  * add docbook-xsl to Build-Depends (Closes: #650084)

 -- Christoph Egger <christoph@debian.org>  Mon, 28 Nov 2011 18:46:46 +0100
