=== debian/changelog ===
herbstluftwm (0.1+git2011.12.20-1) unstable; urgency=low

  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Tue, 20 Dec 2011 14:43:23 +0100

herbstluftwm (0.1+git2011.12.09-1) unstable; urgency=low

  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Fri, 09 Dec 2011 18:42:43 +0100

herbstluftwm (0.1+git2011.11.28-1) oneiric; urgency=low

  * New upstream version
  * add docbook-xsl to Build-Depends (Closes: #650084)

 -- Christoph Egger <christoph@debian.org>  Mon, 28 Nov 2011 18:46:46 +0100
