## herbstluftwm 0.1+git2012.01.08

=== debian/changelog ===
herbstluftwm (0.1+git2012.01.08-1) unstable; urgency=low

  * New upstream snapshot
    * Hilight: ewmh support

 -- Christoph Egger <christoph@debian.org>  Sun, 08 Jan 2012 16:20:50 +0100
