## herbstluftwm 0.2

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,12 @@
 
 tar: doc
 	tar -czf $(TARFILE) `git ls-files` doc/*.html doc/*.[0-9]
+	rm -rf $(TMPTARDIR)
+	mkdir -p $(TMPTARDIR)
+	tar -xvf $(TARFILE) -C $(TMPTARDIR)
+	tar -czf $(TARFILE) $(TMPTARDIR)
+	rm -rf $(TMPTARDIR)
+
 
 doc/%.1: doc/%.txt
 	$(call colorecho,DOC,$@)
@@ -60,7 +66,8 @@
 	mkdir -p $(ETCDIR)/bash_completion.d/
 	mkdir -p $(CONFIGDIR)
 	mkdir -p $(ZSHCOMPLETIONDIR)
-	@echo "==> copyiing files..."
+	mkdir -p $(XSESSIONSDIR)
+	@echo "==> copying files..."
 	install $(TARGET) $(BINDIR)
 	install ipc-client/herbstclient $(BINDIR)/
 	install -m 644 LICENSE $(LICENSEDIR)
@@ -74,6 +81,7 @@
 	install -m 755 share/restartpanels.sh $(CONFIGDIR)/
 	install -m 644 share/herbstclient-completion $(ETCDIR)/bash_completion.d/
 	install -m 644 share/_herbstclient $(ZSHCOMPLETIONDIR)/
+	install -m 644 share/herbstluftwm.desktop $(XSESSIONSDIR)/
 	install -m 644 scripts/README $(EXAMPLESDIR)/
 	install -m 755 scripts/*.sh $(EXAMPLESDIR)/
