=== debian/changelog ===
herbstluftwm (0.2-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Wed, 25 Jan 2012 18:32:03 +0100
