## herbstluftwm 0.2+git2012.03.01

=== Makefile ===
--- 
+++ 
@@ -76,6 +76,8 @@
 	install -m 644 doc/herbstclient.html $(DOCDIR)/
 	install -m 644 doc/herbstluftwm.html $(DOCDIR)/
 	install -m 644 BUGS $(DOCDIR)/
+	install -m 644 NEWS $(DOCDIR)/
+	install -m 644 README $(DOCDIR)/
 	install -m 755 share/autostart $(CONFIGDIR)/
 	install -m 755 share/panel.sh $(CONFIGDIR)/
 	install -m 755 share/restartpanels.sh $(CONFIGDIR)/
