=== debian/changelog ===
herbstluftwm (0.2+git2012.03.01-1) unstable; urgency=low

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Thu, 01 Mar 2012 15:02:21 +0100
