=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: herbstluftwm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
+Maintainer: Christoph Egger <christoph@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
  libglib2.0-dev,
