=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/herbstluftwm/usr ETCDIR=$(CURDIR)/debian/herbstluftwm/etc install
	rm -rf $(CURDIR)/debian/herbstluftwm/usr/share/licenses

override_dh_installwm:
	dh_installwm --priority=20 herbstluftwm
