=== ipc-client/Makefile ===
--- 
+++ 
@@ -9,5 +9,6 @@
 OBJ = ${SRC:.c=.o}
 TARGET = herbstclient
 
+include ../colors.mk
 include ../rules.mk
