=== debian/changelog ===
herbstluftwm (0.3-1~bpo60+1) squeeze-backports; urgency=low

  * No-change backport to squeeze

 -- Christoph Egger <christoph@debian.org>  Wed, 25 Apr 2012 14:08:09 +0200

herbstluftwm (0.3-1) unstable; urgency=low

  * New upstream release
  * Change standards version from 3.9.2 to 3.9.3, no further changes

 -- Christoph Egger <christoph@debian.org>  Fri, 13 Apr 2012 13:43:51 +0200

herbstluftwm (0.2+git2012.04.02-1) unstable; urgency=low

  * New upstream snapshot
  * Provide x-window-manager (Closes: #663993)
  * Recommend dzen2, xterm, Suggest suckless-tools (Closes: #664693)
  * Provide menu file (Closes: #664677)

 -- Christoph Egger <christoph@debian.org>  Thu, 15 Mar 2012 00:40:51 +0100
