=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  docbook-xml,
  docbook-xsl,
  xsltproc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://wwwcip.cs.fau.de/~re06huxa/herbstluftwm/
 Vcs-Git: git://git.debian.org/collab-maint/herbstluftwm.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/herbstluftwm.git;a=summary
@@ -19,6 +19,9 @@
 Package: herbstluftwm
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: dzen2, xterm
+Suggests: suckless-tools
+Provides: x-window-manager
 Description: manual tiling window manager for X11
  In herbstluftwm the layout is based on splitting frames into
  subframes which can be split again or can be filled with windows,
