=== debian/changelog ===
herbstluftwm (0.4.1-1) unstable; urgency=low

  * Upstream bugfix release

 -- Christoph Egger <christoph@debian.org>  Fri, 31 Aug 2012 22:41:51 -0700

herbstluftwm (0.4-1) unstable; urgency=low

  * New upstream release
  * Requiring user changes:
    * the setting window_gap is now called frame_gap
  * debhelper compat 9 for hardening options

 -- Christoph Egger <christoph@debian.org>  Sun, 19 Aug 2012 00:55:10 +0200
