=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/herbstluftwm/ install
	rm -rf $(CURDIR)/debian/herbstluftwm/usr/share/licenses \
		$(CURDIR)/debian/herbstluftwm/usr/share/doc/herbstluftwm/LICENSE

override_dh_installwm:
	dh_installwm --priority=20 herbstluftwm
