## herbstluftwm 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 include version.mk
 include config.mk
 include colors.mk
@@ -17,6 +16,7 @@
 
 HERBSTCLIENTDOC = doc/herbstclient.txt
 HERBSTLUFTWMDOC = doc/herbstluftwm.txt
+TUTORIAL = doc/herbstluftwm-tutorial.txt
 
 .PHONY: depend all all-nodoc doc install info www
 .PHONY: cleandoc cleanwww cleandeps clean
@@ -62,11 +62,17 @@
 	$(VERBOSE) rm -f doc/herbstluftwm.1
 	$(call colorecho,RM,doc/herbstluftwm.html)
 	$(VERBOSE) rm -f doc/herbstluftwm.html
+	$(call colorecho,RM,doc/herbstluftwm-tutorial.7)
+	$(VERBOSE) rm -f doc/herbstluftwm-tutorial.7
+	$(call colorecho,RM,doc/herbstluftwm-tutorial.html)
+	$(VERBOSE) rm -f doc/herbstluftwm-tutorial.html
 
 doc: doc/herbstclient.1    \
      doc/herbstclient.html \
      doc/herbstluftwm.1    \
-     doc/herbstluftwm.html
+     doc/herbstluftwm.html \
+     doc/herbstluftwm-tutorial.7    \
+     doc/herbstluftwm-tutorial.html
 
 tar: doc
 	tar -czf $(TARFILE) `git ls-files` doc/*.html doc/*.[0-9]
@@ -76,7 +82,7 @@
 	tar -czf $(TARFILE) $(TMPTARDIR)
 	rm -rf $(TMPTARDIR)
 
-doc/%.1: doc/%.txt version.mk
+doc/%.1 doc/%.7: doc/%.txt version.mk
 	$(call colorecho,DOC,$@)
 	$(VERBOSE) $(A2X) -f manpage -a "herbstluftwmversion=herbstluftwm $(VERSION)" -a "date=`date +%Y-%m-%d`" $<
 
@@ -88,7 +94,8 @@
 	@echo "==> creating dirs..."
 	$(MKDIR) '$(DESTDIR)/$(LICENSEDIR)'
 	$(MKDIR) '$(DESTDIR)/$(BINDIR)'
-	$(MKDIR) '$(DESTDIR)/$(MANDIR)/man1'
+	$(MKDIR) '$(DESTDIR)/$(MAN1DIR)'
+	$(MKDIR) '$(DESTDIR)/$(MAN7DIR)'
 	$(MKDIR) '$(DESTDIR)/$(DOCDIR)'
 	$(MKDIR) '$(DESTDIR)/$(EXAMPLESDIR)'
 	$(MKDIR) '$(DESTDIR)/$(BASHCOMPLETIONDIR)'
@@ -100,8 +107,10 @@
 	$(INSTALL) -m 644 LICENSE '$(DESTDIR)/$(LICENSEDIR)'
 	$(INSTALL) -m 644 doc/herbstclient.1 '$(DESTDIR)/$(MAN1DIR)/'
 	$(INSTALL) -m 644 doc/herbstluftwm.1 '$(DESTDIR)/$(MAN1DIR)/'
+	$(INSTALL) -m 644 doc/herbstluftwm-tutorial.7 '$(DESTDIR)/$(MAN7DIR)/'
 	$(INSTALL) -m 644 doc/herbstclient.html '$(DESTDIR)/$(DOCDIR)/'
 	$(INSTALL) -m 644 doc/herbstluftwm.html '$(DESTDIR)/$(DOCDIR)/'
+	$(INSTALL) -m 644 doc/herbstluftwm-tutorial.html '$(DESTDIR)/$(DOCDIR)/'
 	$(INSTALL) -m 644 BUGS '$(DESTDIR)/$(DOCDIR)/'
 	$(INSTALL) -m 644 NEWS '$(DESTDIR)/$(DOCDIR)/'
 	$(INSTALL) -m 644 README '$(DESTDIR)/$(DOCDIR)/'
@@ -114,6 +123,32 @@
 	$(INSTALL) -m 644 scripts/README '$(DESTDIR)/$(EXAMPLESDIR)/'
 	$(INSTALL) -m 755 scripts/*.sh '$(DESTDIR)/$(EXAMPLESDIR)/'
 
+uninstall:
+	@echo "==> deleting files..."
+	$(foreach TARGET,$(TARGETS),-$(RM) '$(DESTDIR)/$(BINDIR)/$(TARGET)';)
+	-$(RM) '$(DESTDIR)/$(LICENSEDIR)/LICENSE'
+	-$(RM) '$(DESTDIR)/$(MAN1DIR)/herbstclient.1'
+	-$(RM) '$(DESTDIR)/$(MAN1DIR)/herbstluftwm.1'
+	-$(RM) '$(DESTDIR)/$(MAN7DIR)/herbstluftwm-tutorial.7'
+	-$(RM) '$(DESTDIR)/$(DOCDIR)/herbstclient.html'
+	-$(RM) '$(DESTDIR)/$(DOCDIR)/herbstluftwm.html'
+	-$(RM) '$(DESTDIR)/$(DOCDIR)/herbstluftwm-tutorial.html'
+	-$(RM) '$(DESTDIR)/$(DOCDIR)/BUGS'
+	-$(RM) '$(DESTDIR)/$(DOCDIR)/NEWS'
+	-$(RM) '$(DESTDIR)/$(DOCDIR)/README'
+	-$(RM) '$(DESTDIR)/$(CONFIGDIR)/autostart'
+	-$(RM) '$(DESTDIR)/$(CONFIGDIR)/panel.sh'
+	-$(RM) '$(DESTDIR)/$(CONFIGDIR)/restartpanels.sh'
+	-$(RM) '$(DESTDIR)/$(BASHCOMPLETIONDIR)/herbstclient-completion'
+	-$(RM) '$(DESTDIR)/$(ZSHCOMPLETIONDIR)/_herbstclient'
+	-$(RM) '$(DESTDIR)/$(XSESSIONSDIR)/herbstluftwm.desktop'
+	-$(RM) '$(DESTDIR)/$(EXAMPLESDIR)/README'
+	$(foreach SCRIPT,$(wildcard '$(DESTDIR)/$(EXAMPLESDIR)/*.sh'),-$(RM) '$(SCRIPT)';)
+	@echo "==> deleting directories..."
+	-$(RMDIR) '$(EXAMPLESDIR)'
+	-$(RMDIR) '$(DOCDIR)'
+	-$(RMDIR) '$(CONFIGDIR)'
+
 www:
 	make -C www
