=== debian/changelog ===
herbstluftwm (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Mon, 31 Dec 2012 09:47:48 -0800
