=== www/Makefile ===
--- 
+++ 
@@ -33,5 +33,3 @@
 
 install:
 	@echo scp index.html main.css $(TARGET)
-
-
