=== debian/changelog ===
herbstluftwm (0.5.1-1) unstable; urgency=low

  * Upstream bugfix release
  * Disable colors, build verbose

 -- Christoph Egger <christoph@debian.org>  Fri, 04 Jan 2013 15:40:20 -0800
