=== debian/watch ===
version=3

http://wwwcip.cs.fau.de/~re06huxa/herbstluftwm/tarballs/herbstluftwm-([\d.]+).tar.gz
