## herbstluftwm 0.5.2

=== debian/changelog ===
herbstluftwm (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Sun, 23 Jun 2013 13:27:14 +0200
