=== www/Makefile ===
--- 
+++ 
@@ -5,11 +5,16 @@
 
 .PHONY: all clean install
 
-TARGET = cip:wwwcip/herbstluftwm/
+TARGET = herbstluftwm.org:www/
+
 ASCIIDOCFLAGS = -s
 TXT = $(wildcard *.txt)
+INSTALLFILES = $(TXT:.txt=.html) \
+	herbstluftwm.html \
+	herbstclient.html \
+	herbstluftwm.svg
 
-all: $(TXT:.txt=.html) herbstluftwm.html herbstclient.html
+all: $(INSTALLFILES)
 
 %-content.html: %.txt
 	$(call colorecho,DOC,$@)
@@ -17,6 +22,9 @@
 
 %.html: %-content.html compose.sh
 	./compose.sh $< > $@
+
+herbstluftwm.svg: ../share/herbstluftwm.svg
+	cp $^ $@
 
 herbstluftwm-content.html: ../doc/herbstluftwm.txt
 	$(call colorecho,DOC,$@)
@@ -32,4 +40,4 @@
 	rm -f *.html *-content.html
 
 install:
-	@echo scp index.html main.css $(TARGET)
+	scp $(INSTALLFILES) $(TARGET)
