=== debian/changelog ===
herbstluftwm (0.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Tue, 24 Dec 2013 23:17:16 +0100
