=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Christoph Egger <christoph@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  libglib2.0-dev,
  libx11-dev,
+ libxinerama-dev,
  asciidoc,
  libxml2-utils,
  docbook-xml,
