=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 
 %:
 	dh $@
+
+override_dh_auto_clean:
+	dh_auto_clean -- VERBOSE= COLOR=0
+
+override_dh_auto_build:
+	dh_auto_build -- VERBOSE= COLOR=0
 
 override_dh_auto_install:
 	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/herbstluftwm/ install
