## herbstluftwm 0.6.2

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 $(TARGETS):
 	$(call colorecho,LD,$@)
-	$(VERBOSE) $(LD) -o $@ $(LDFLAGS)  $^ $(LIBS)
+	$(VERBOSE) $(LD) -o $@ $(CFLAGS) $(LDFLAGS) $^ $(LIBS)
 
 -include $(DEPS)
 
@@ -152,9 +152,9 @@
 	-$(RM) '$(DESTDIR)$(EXAMPLESDIR)/README'
 	-$(RM) '$(DESTDIR)$(EXAMPLESDIR)'/*.sh
 	@echo "==> deleting directories..."
-	-$(RMDIR) '$(EXAMPLESDIR)'
-	-$(RMDIR) '$(DOCDIR)'
-	-$(RMDIR) '$(CONFIGDIR)'
+	-$(RMDIR) '$(DESTDIR)$(EXAMPLESDIR)/'
+	-$(RMDIR) '$(DESTDIR)$(DOCDIR)/'
+	-$(RMDIR) '$(DESTDIR)$(CONFIGDIR)/'
 
 www:
 	make -C www
