=== debian/changelog ===
herbstluftwm (0.6.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Christoph Egger <christoph@debian.org>  Fri, 28 Mar 2014 00:42:19 +0100

herbstluftwm (0.6.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Christoph Egger <christoph@debian.org>  Tue, 25 Mar 2014 12:25:52 +0100

herbstluftwm (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * Update homepage
  * Use package description from Justin B Rye (Closes: #710406)

 -- Christoph Egger <christoph@debian.org>  Thu, 20 Mar 2014 14:02:02 +0100
