=== debian/watch ===
version=3

http://herbstluftwm.org/tarballs/herbstluftwm-([\d.]+).tar.gz
